unit ConnectForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ZPgSqlCon;

type
  TfmConnect = class(TForm)
    edDBName: TEdit;
    edUserName: TEdit;
    edPassword: TEdit;
    laDBName: TLabel;
    laUserName: TLabel;
    laPassword: TLabel;
    paButtons: TPanel;
    buOk: TButton;
    buCancel: TButton;
    Bevel1: TBevel;
    laHost: TLabel;
    edHost: TEdit;
    laPort: TLabel;
    edPort: TEdit;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ShowConnectForm(Database: TZPgSqlDatabase): boolean;

implementation

function ShowConnectForm(Database: TZPgSqlDatabase): boolean;
var
  fmConnect: TfmConnect;
begin
  Result := False;
  if not Assigned(Database) then Exit;
  fmConnect := TfmConnect.Create(nil);
  try
    fmConnect.edHost.Text := Database.Host;
    fmConnect.edPort.Text := Database.Port;
    fmConnect.edDBName.Text := Database.Database;
    fmConnect.edUserName.Text := Database.Login;
    fmConnect.edPassword.Text := Database.Password;
    Result := fmConnect.ShowModal() = mrOk;
    if Result then begin
      Database.Connected := False;
      Database.Host := fmConnect.edHost.Text;
      Database.Port := fmConnect.edPort.Text;
      Database.Database := fmConnect.edDBName.Text;
      Database.Login := fmConnect.edUserName.Text;
      Database.Password := fmConnect.edPassword.Text;
      Database.Connected := True;
    end;
  finally
    fmConnect.Free();
  end;
end;

{$R *.DFM}

end.
